Communications
Read donor portal notification preferences
Requires a valid logged-in donor session for the client, and a program in that client or the global none context. The session lifetime refreshes for one hour on use. Returns category/event catalog overrides and address-level effective/saved communication choices.
GET
/
frontend
/
donor
/
dashboard
/
notification-preferences
/
{client_id}
/
{program_id}
/
{session_id}
Read donor portal notification preferences
curl --request GET \
--url https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}import requests
url = "https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"audience": "donor",
"catalog": [
{
"key": "marketing",
"label": "Example",
"description": "Example",
"criticality": "standard",
"requires_disable_warning": true,
"channels": [
"email"
],
"enabled": {},
"mappings": {
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
},
"events": [
{
"key": "Example",
"label": "Example",
"channels": [
"email"
],
"enabled": {},
"novu_workflow": "Example",
"mappings": {
"email_triggers": [
"<string>"
],
"novu_event_types": [
"<string>"
],
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
}
}
]
}
],
"communication": {
"email_categories": {},
"saved_email_categories": {},
"sms": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"saved_sms": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"postal_mail": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"saved_postal_mail": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"do_not_email": true
}
}{
"message": "Unauthorized",
"status": "error"
}Path Parameters
Client id in the current organization.
Organization program id, or none for the global donor portal context.
Pattern:
^(none|[1-9][0-9]*)$Opaque donor session id issued by portal login.
⌘I
Read donor portal notification preferences
curl --request GET \
--url https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}import requests
url = "https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/donor/dashboard/notification-preferences/{client_id}/{program_id}/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"audience": "donor",
"catalog": [
{
"key": "marketing",
"label": "Example",
"description": "Example",
"criticality": "standard",
"requires_disable_warning": true,
"channels": [
"email"
],
"enabled": {},
"mappings": {
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
},
"events": [
{
"key": "Example",
"label": "Example",
"channels": [
"email"
],
"enabled": {},
"novu_workflow": "Example",
"mappings": {
"email_triggers": [
"<string>"
],
"novu_event_types": [
"<string>"
],
"novu_templates": [
"<string>"
],
"activity_actions": [
"<string>"
]
}
}
]
}
],
"communication": {
"email_categories": {},
"saved_email_categories": {},
"sms": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"saved_sms": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"postal_mail": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"saved_postal_mail": {
"enabled": true,
"events": {},
"partially_enabled": true,
"blocked_code": "category_opt_out",
"blocked_reason": "All donor email is turned off."
},
"do_not_email": true
}
}{
"message": "Unauthorized",
"status": "error"
}